<div class="py-4 px-24 h-screen">
  <div class="flex justify-end font-bold text-xl space-x-9">
    <a href="/admin/category/list"
      class="text-blue-500 cursor-pointer transition-colors duration-300 dark:text-red-500">Danh sách loại sản phẩm</a>
    <a href="/admin/category/add"
      class="text-blue-800 cursor-pointer transition-colors duration-300 dark:text-red-800">Thêm loại sản phẩm</a>
  </div>

  <div class="border border-gray-600 rounded-md p-5 bg-gray-100 shadow-lg mt-5">
    <h1 class="font-medium text-3xl text-blue-800 dark:text-red-600">Thêm Loại Sản Phẩm Mới</h1>

    <form [formGroup]="formCategory" (ngSubmit)="onSubmit()" class="text-left mt-4">
      <!-- Name Field -->
      <div class="mb-4">
        <input type="text" formControlName="name"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Tên Loại Sản Phẩm">
        <span
          *ngIf="formCategory.controls['name'].errors && (formCategory.controls['name'].dirty || formCategory.controls['name'].touched || submited)"
          class="text-red-500 mt-1 text-sm">
          Tên không được để trống & phải có ít nhất 6 ký tự
        </span>
      </div>

      <!-- Submit Button -->
      <button type="submit"
        class="cursor-pointer bg-white text-blue-800 dark:text-red-800 hover:bg-blue-800 dark:hover:bg-red-800 hover:text-white dark:hover:text-white p-2 font-semibold rounded-md mt-3 border-2 border-blue-800 dark:border-red-800">
        Thêm Loại Sản Phẩm Mới
      </button>
    </form>
  </div>
</div>
